Missing artifacts in Eclipse

I create a Confluence Add-on that worked in Confluence.

But now that I've upgraded to Confluence 6.4.0 and Atlassian SDK 6.2.15.  I get a lot of errors using eclipse.

I've added the AMPs to maven in eclipse but no luck.

The errors I get in Eclipse Oxygen are;

1. Project build error: Unknown packaging: atlassian-plugin

2. Missing artifact com.atlassian.plugin:atlassian-spring-scanner-annotation:jar:1.2.13

3. Missing artifact com.atlassian.plugin:atlassian-spring-scanner-runtime:jar:1.2.13

4. Missing artifact com.atlassian.plugins:atlassian-plugins-osgi-testrunner:jar:1.2.3

5. Missing artifact com.google.code.gson:gson:jar:2.2.2-atlassian-1

 

Any help appreciated.

Atlas-version

<confluence.version>6.0.1</confluence.version>
<confluence.data.version>5.10.7</confluence.data.version>
<amps.version>6.2.6</amps.version>
<plugin.testrunner.version>1.2.3</plugin.testrunner.version>
<atlassian.spring.scanner.version>1.2.13</atlassian.spring.scanner.version>

2 answers

This widget could not be displayed.

Hi @Jon SchaubhutI am having similar issues, were you able to find a solution?

This widget could not be displayed.

Have you had any success withi this?

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Monday in Confluence

Why start from scratch? Introducing four new templates for Confluence Cloud

Hi my Community friends!  For those who don't know me, I'm a product marketer on the Confluence Cloud team - nice to meet you! For those of you who do, you know that I've been all up in your Co...

460 views 6 6
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you